package ink.wgink.pojo.vos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: SaveDeleteIdsVO
 * @Description: 新增删除IDVO
 * @Author: wanggeng
 * @Date: 2022/2/8 9:58 PM
 * @Version: 1.0
 */
@ApiModel
public class SaveAndDeleteIdsVO {

    @ApiModelProperty(name = "saveIds", value = "保存的ID列表")
    private List<String> saveIds;
    @ApiModelProperty(name = "deleteIds", value = "删除的ID列表")
    private List<String> deleteIds;

    public List<String> getSaveIds() {
        return saveIds == null ? new ArrayList<>() : saveIds;
    }

    public void setSaveIds(List<String> saveIds) {
        this.saveIds = saveIds;
    }

    public List<String> getDeleteIds() {
        return deleteIds == null ? new ArrayList<>() : deleteIds;
    }

    public void setDeleteIds(List<String> deleteIds) {
        this.deleteIds = deleteIds;
    }
}
